Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::simpletype< V, L > Class Template Reference

template to define Simple Types leaf class. More...

`#include <simpletype.h>`

Inheritance diagram for aka2::simpletype< V, L >:

[legend]
Collaboration diagram for aka2::simpletype< V, L >:

[legend]
List of all members.

## Static Public Methods
void | write_text (const void *elm, std::ostream &ostm, entity_complements &ecomp)
void | read_text (void *elm, const std::string &entity, entity_complements &ecomp)

## Detailed Description

### template<class V, class L = xiso::leaf<V>>
class aka2::simpletype< V, L >

template to define Simple Types leaf class.

Leaf classes for Simple Types are derived from this template class.

See also:
  Simple Types

Parameters:

  T | value class type
  L | leaf class type

Definition at line 89 of file simpletype.h.

## Member Function Documentation

template<class V, class L = xiso::leaf<V>>
void aka2::simpletype< V, L >::read_text | ( | void * | elm,
|  | const std::string & | entity,
|  | entity_complements & | ecomp
| ) | `[inline, static]`

  | read element value from aka2::isstream. Cast elm to V&, and users get variable to set read value. preconditionals will provide conditionals. If user need custom-writing logic, override this method. Parameters:
  elm | pointer to value
  entity | entity text.
  ecomp | complements of text values to parse value.
  Exceptions:
  aka2::error | thrown when error occurs.
Definition at line 128 of file simpletype.h.

template<class V, class L = xiso::leaf<V>>
void aka2::simpletype< V, L >::write_text | ( | const void * | elm,
|  | std::ostream & | ostm,
|  | entity_complements & | ecomp
| ) | `[inline, static]`

  | write element value to std::ostream Cast elm to const V&, and users get variable to write to std::ostream. preconditionals will provide conditionals. If user need custom-writing logic, override this method. Parameters:
  elm | pointer to value
  ostm | std::ostream to output.
  ecomp | compliments of text values to write value.
  Exceptions:
  aka2::error | thrown when error occurs.
Definition at line 111 of file simpletype.h.

The documentation for this class was generated from the following file:

- simpletype.h